> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List built client keys

> Returns the built form of each matching active client key with evaluatable fields resolved for the current client context. Supports the same `tags` filter as `GET /v2/settings/security/keys`.



## OpenAPI

````yaml /api-reference/management.json get /v2/settings/security/keys/built
openapi: 3.0.1
info:
  description: >-
    Configuration endpoints for the Extole platform: campaigns, components,
    audiences, persons, rewards, reporting, integrations setup, and
    administrative tooling.
  title: Management API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Audiences
  - name: Authentication
  - name: Batch Jobs
  - name: Blocks
  - name: Campaigns
  - name: Components
  - name: Components Settings
  - name: Domains
  - name: Email
  - name: Erasure
  - name: Event Streams
  - name: File Validation Monitors
  - name: Optout
  - name: Profiles
  - name: Promotion Links
  - name: Report Schedules
  - name: Report Types
  - name: Reports
  - name: Reward Suppliers
  - name: Security Keys
  - name: Settings
  - name: User Notifications
  - name: User Subscriptions
  - name: Users
  - name: Webhooks
paths:
  /v2/settings/security/keys/built:
    get:
      tags:
        - Security Keys
      summary: List built client keys
      description: >-
        Returns the built form of each matching active client key with
        evaluatable fields resolved for the current client context. Supports the
        same `tags` filter as `GET /v2/settings/security/keys`.
      operationId: listBuiltClientKeys
      parameters:
        - in: query
          name: tags
          schema:
            items:
              type: string
            type: array
            uniqueItems: true
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BuiltClientKeyResponse'
                type: array
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    BuiltClientKeyResponse:
      description: >-
        client key after buildtime evaluation. Fields `name` and `description`
        are already evaluated.
      discriminator:
        mapping:
          A128KW:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsA128kw'
          A192KW:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsA192kw'
          A256KW:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsA256kw'
          ES256:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsEs256'
          ES384:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsEs384'
          ES512:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsEs512'
          HS256:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsHs256'
          HS384:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsHs384'
          HS512:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsHs512'
          HTTP_BASIC:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsHttpBasic'
          OAUTH:
            $ref: '#/components/schemas/BuiltOAuthClientKeyResponse'
          OAUTH_GENERIC:
            $ref: '#/components/schemas/BuiltOAuthGenericClientKeyResponse'
          OAUTH_LEAD_PERFECTION:
            $ref: '#/components/schemas/BuiltOAuthLeadPerfectionClientKeyResponse'
          OAUTH_LISTRAK:
            $ref: '#/components/schemas/BuiltOAuthListrakClientKeyResponse'
          OAUTH_OPTIMOVE:
            $ref: '#/components/schemas/BuiltOAuthOptimoveClientKeyResponse'
          OAUTH_SALESFORCE:
            $ref: '#/components/schemas/BuiltOAuthSalesforceClientKeyResponse'
          OAUTH_SFDC:
            $ref: '#/components/schemas/BuiltOAuthSfdcClientKeyResponse'
          OAUTH_SFDC_PASSWORD:
            $ref: '#/components/schemas/BuiltOAuthSfdcPasswordClientKeyResponse'
          PASSWORD:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsPassword'
          PS256:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsPs256'
          PS384:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsPs384'
          PS512:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsPs512'
          RS256:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRs256'
          RS384:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRs384'
          RS512:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRs512'
          RSA:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRsa'
          RSA_OAEP_256:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRsaOaep256'
          RSA_OAEP_384:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRsaOaep384'
          RSA_OAEP_512:
            $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRsaOaep512'
          SSL_PKCS_12:
            $ref: '#/components/schemas/BuiltSslPkcs12ClientKeyResponse'
        propertyName: algorithm
      oneOf:
        - title: A128KW
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsA128kw'
        - title: A192KW
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsA192kw'
        - title: A256KW
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsA256kw'
        - title: ES256
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsEs256'
        - title: ES384
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsEs384'
        - title: ES512
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsEs512'
        - title: HS256
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsHs256'
        - title: HS384
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsHs384'
        - title: HS512
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsHs512'
        - title: HTTP_BASIC
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsHttpBasic'
        - title: OAUTH
          allOf:
            - $ref: '#/components/schemas/BuiltOAuthClientKeyResponse'
        - title: OAUTH_GENERIC
          allOf:
            - $ref: '#/components/schemas/BuiltOAuthGenericClientKeyResponse'
        - title: OAUTH_LEAD_PERFECTION
          allOf:
            - $ref: '#/components/schemas/BuiltOAuthLeadPerfectionClientKeyResponse'
        - title: OAUTH_LISTRAK
          allOf:
            - $ref: '#/components/schemas/BuiltOAuthListrakClientKeyResponse'
        - title: OAUTH_OPTIMOVE
          allOf:
            - $ref: '#/components/schemas/BuiltOAuthOptimoveClientKeyResponse'
        - title: OAUTH_SALESFORCE
          allOf:
            - $ref: '#/components/schemas/BuiltOAuthSalesforceClientKeyResponse'
        - title: OAUTH_SFDC
          allOf:
            - $ref: '#/components/schemas/BuiltOAuthSfdcClientKeyResponse'
        - title: OAUTH_SFDC_PASSWORD
          allOf:
            - $ref: '#/components/schemas/BuiltOAuthSfdcPasswordClientKeyResponse'
        - title: PASSWORD
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsPassword'
        - title: PS256
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsPs256'
        - title: PS384
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsPs384'
        - title: PS512
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsPs512'
        - title: RS256
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRs256'
        - title: RS384
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRs384'
        - title: RS512
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRs512'
        - title: RSA
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRsa'
        - title: RSA_OAEP_256
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRsaOaep256'
        - title: RSA_OAEP_384
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRsaOaep384'
        - title: RSA_OAEP_512
          allOf:
            - $ref: '#/components/schemas/BuiltGenericClientKeyResponseAsRsaOaep512'
        - title: SSL_PKCS_12
          allOf:
            - $ref: '#/components/schemas/BuiltSslPkcs12ClientKeyResponse'
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    BuiltGenericClientKeyResponseAsA128kw:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - A128KW
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: A128KW
    BuiltGenericClientKeyResponseAsA192kw:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - A192KW
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: A192KW
    BuiltGenericClientKeyResponseAsA256kw:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - A256KW
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: A256KW
    BuiltGenericClientKeyResponseAsEs256:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES256
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES256
    BuiltGenericClientKeyResponseAsEs384:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES384
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES384
    BuiltGenericClientKeyResponseAsEs512:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES512
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES512
    BuiltGenericClientKeyResponseAsHs256:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - HS256
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: HS256
    BuiltGenericClientKeyResponseAsHs384:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - HS384
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: HS384
    BuiltGenericClientKeyResponseAsHs512:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - HS512
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: HS512
    BuiltGenericClientKeyResponseAsHttpBasic:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - HTTP_BASIC
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: HTTP_BASIC
    BuiltOAuthClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH
              type: string
            authorization_url:
              type: string
            id:
              readOnly: true
              type: string
            oauth_client_id:
              type: string
            scope:
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH
    BuiltOAuthGenericClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_GENERIC
              type: string
            authorization_url:
              type: string
            id:
              readOnly: true
              type: string
            oauth_client_id:
              type: string
            request:
              $ref: '#/components/schemas/RequestInBuiltOAuthGenericClientKeyResponse'
            response_handler:
              $ref: >-
                #/components/schemas/ResponseHandlerInBuiltOAuthGenericClientKeyResponse
            scope:
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - request
        - response_handler
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_GENERIC
    BuiltOAuthLeadPerfectionClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_LEAD_PERFECTION
              type: string
            appKey:
              type: string
            app_key:
              type: string
              writeOnly: true
            authorization_url:
              type: string
            id:
              readOnly: true
              type: string
            leadPerfectionClientId:
              type: string
            lead_perfection_client_id:
              type: string
              writeOnly: true
            oauth_client_id:
              type: string
            scope:
              type: string
          type: object
      required:
        - algorithm
        - appKey
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - leadPerfectionClientId
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_LEAD_PERFECTION
    BuiltOAuthListrakClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_LISTRAK
              type: string
            authorization_url:
              type: string
            id:
              readOnly: true
              type: string
            oauth_client_id:
              type: string
            scope:
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_LISTRAK
    BuiltOAuthOptimoveClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_OPTIMOVE
              type: string
            authorization_url:
              type: string
            id:
              readOnly: true
              type: string
            oauth_client_id:
              type: string
            scope:
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_OPTIMOVE
    BuiltOAuthSalesforceClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            account_id:
              format: int32
              type: integer
            algorithm:
              enum:
                - OAUTH_SALESFORCE
              type: string
            authorization_url:
              type: string
            id:
              readOnly: true
              type: string
            oauth_client_id:
              type: string
            scope:
              type: string
          type: object
      required:
        - account_id
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_SALESFORCE
    BuiltOAuthSfdcClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_SFDC
              type: string
            authorization_url:
              type: string
            id:
              readOnly: true
              type: string
            oauth_client_id:
              type: string
            scope:
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_SFDC
    BuiltOAuthSfdcPasswordClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_SFDC_PASSWORD
              type: string
            authorization_url:
              type: string
            id:
              readOnly: true
              type: string
            oauth_client_id:
              type: string
            password:
              type: string
            scope:
              type: string
            username:
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - password
        - scope
        - tags
        - type
        - updated_at
        - username
      type: object
      title: OAUTH_SFDC_PASSWORD
    BuiltGenericClientKeyResponseAsPassword:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PASSWORD
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PASSWORD
    BuiltGenericClientKeyResponseAsPs256:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS256
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS256
    BuiltGenericClientKeyResponseAsPs384:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS384
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS384
    BuiltGenericClientKeyResponseAsPs512:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS512
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS512
    BuiltGenericClientKeyResponseAsRs256:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS256
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS256
    BuiltGenericClientKeyResponseAsRs384:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS384
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS384
    BuiltGenericClientKeyResponseAsRs512:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS512
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS512
    BuiltGenericClientKeyResponseAsRsa:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA
    BuiltGenericClientKeyResponseAsRsaOaep256:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_256
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_256
    BuiltGenericClientKeyResponseAsRsaOaep384:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_384
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_384
    BuiltGenericClientKeyResponseAsRsaOaep512:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_512
              type: string
            id:
              readOnly: true
              type: string
          type: object
      description: >-
        generic client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_512
    BuiltSslPkcs12ClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - SSL_PKCS_12
              type: string
            id:
              readOnly: true
              type: string
            password:
              type: string
          type: object
      description: >-
        ssl pkcs12client key after buildtime evaluation. Fields `name` and
        `description` are already evaluated.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - password
        - tags
        - type
        - updated_at
      type: object
      title: SSL_PKCS_12
    BuiltClientKeyResponseBase:
      properties:
        algorithm:
          description: >-
            Cryptographic or integration algorithm. Discriminator for
            polymorphic create, update, and response schemas.
          enum:
            - A128KW
            - A192KW
            - A256KW
            - ES256_PRIVATE
            - ES256_PUBLIC
            - ES384_PRIVATE
            - ES384_PUBLIC
            - ES512_PRIVATE
            - ES512_PUBLIC
            - GENERIC
            - HS256
            - HS384
            - HS512
            - HTTP_BASIC
            - OAUTH
            - OAUTH_GENERIC
            - OAUTH_LEAD_PERFECTION
            - OAUTH_LISTRAK
            - OAUTH_OPTIMOVE
            - OAUTH_SALESFORCE
            - OAUTH_SFDC
            - OAUTH_SFDC_PASSWORD
            - PASSWORD
            - PS256_PRIVATE
            - PS256_PUBLIC
            - PS384_PRIVATE
            - PS384_PUBLIC
            - PS512_PRIVATE
            - PS512_PUBLIC
            - RS256_PRIVATE
            - RS256_PUBLIC
            - RS384_PRIVATE
            - RS384_PUBLIC
            - RS512_PRIVATE
            - RS512_PUBLIC
            - RSA
            - RSA_OAEP_256_PRIVATE
            - RSA_OAEP_256_PUBLIC
            - RSA_OAEP_384_PRIVATE
            - RSA_OAEP_384_PUBLIC
            - RSA_OAEP_512_PRIVATE
            - RSA_OAEP_512_PUBLIC
            - SSL_PKCS_12
          type: string
        component_ids:
          items:
            type: string
          type: array
        component_references:
          items:
            $ref: '#/components/schemas/ComponentReferenceResponse'
          type: array
        created_at:
          $ref: '#/components/schemas/ZonedDateTime'
        description:
          type: string
        id:
          readOnly: true
          type: string
        key:
          description: >-
            Evaluated key material in the same encoding as on create. Symmetric
            secrets and private keys are partially masked; public keys are
            returned in full PEM form.
          type: string
        name:
          type: string
        partner_key_id:
          type: string
        tags:
          items:
            type: string
          type: array
          uniqueItems: true
        type:
          description: Usage category that determines how the key is consumed at runtime.
          enum:
            - JWT
            - PASSWORD
            - PGP
            - PGP_EXTOLE
            - SSH
            - WEBHOOK
          type: string
        updated_at:
          $ref: '#/components/schemas/ZonedDateTime'
      type: object
    RequestInBuiltOAuthGenericClientKeyResponse:
      description: >-
        The request as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal request
          properties:
            body:
              nullable: true
              type: string
            headers:
              additionalProperties:
                items:
                  type: string
                type: array
              type: object
            url:
              type: string
          title: Static Value
          type: object
        - description: >-
            Handlebars expression with
            [OAuthClientKeyRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/OAuthClientKeyRuntimeContext.d.ts).
          example: handlebars@runtime:{{request}}
          externalDocs:
            description: OAuthClientKeyRuntimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/OAuthClientKeyRuntimeContext.d.ts
          pattern: ^handlebars@runtime:.*
          title: Runtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [OAuthClientKeyRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/OAuthClientKeyRuntimeContext.d.ts).
          example: javascript@runtime:function() { return context.get('request');}
          externalDocs:
            description: OAuthClientKeyRuntimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/OAuthClientKeyRuntimeContext.d.ts
          pattern: ^javascript@runtime:.*
          title: Runtime - Javascript
          type: string
    ResponseHandlerInBuiltOAuthGenericClientKeyResponse:
      description: >-
        The response handler as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal response handler
          properties:
            accessToken:
              type: string
            expiresIn:
              format: int64
              type: integer
          title: Static Value
          type: object
        - description: >-
            Handlebars expression with
            [OAuthClientKeyResponseContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/response/OAuthClientKeyResponseContext.d.ts).
          example: handlebars@runtime:{{responseHandler}}
          externalDocs:
            description: OAuthClientKeyResponseContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/response/OAuthClientKeyResponseContext.d.ts
          pattern: ^handlebars@runtime:.*
          title: Runtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [OAuthClientKeyResponseContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/response/OAuthClientKeyResponseContext.d.ts).
          example: >-
            javascript@runtime:function() { return
            context.get('responseHandler');}
          externalDocs:
            description: OAuthClientKeyResponseContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/response/OAuthClientKeyResponseContext.d.ts
          pattern: ^javascript@runtime:.*
          title: Runtime - Javascript
          type: string
    ComponentReferenceResponse:
      properties:
        component_id:
          type: string
        socket_names:
          items:
            type: string
          type: array
      type: object
    ZonedDateTime:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) or
        [RFC 9557](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        date-time with a numeric [UTC
        offset](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) and
        an optional [IANA
        time-zone](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        suffix in square brackets. Precision up to milliseconds.
      example: '2025-10-24T02:00:00-07:00'
      pattern: >-
        ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
      type: string
  examples:
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````